Index: /trunk/admin/include/photos_add_direct_prepare.inc.php
===================================================================
--- /trunk/admin/include/photos_add_direct_prepare.inc.php	(revision 9585)
+++ /trunk/admin/include/photos_add_direct_prepare.inc.php	(revision 9586)
@@ -93,9 +93,4 @@
   );
 
-$template->append(
-  'head_elements',
-  '<link rel="stylesheet" type="text/css" href="'.$uploadify_path.'/uploadify.css">'."\n"
-  );
-
 // +-----------------------------------------------------------------------+
 // | Categories                                                            |
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 9586)
@@ -1,4 +1,2 @@
-{combine_script id='jquery.ui' load='header' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js' }
-{combine_script id='jquery.ui.accordion' load='header' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.accordion.min.js' }
 {footer_script require='jquery.ui.accordion'}
 jQuery(document).ready(function(){ldelim}
Index: /trunk/admin/themes/default/template/cat_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/cat_list.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/cat_list.tpl	(revision 9586)
@@ -1,4 +1,2 @@
-{combine_script id='jquery.ui' load='async' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js' }
-{combine_script id='jquery.ui.sortable' load='async' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.sortable.min.js' }
 {footer_script require='jquery.ui.sortable'}
 jQuery(document).ready(function(){ldelim}
Index: /trunk/admin/themes/default/template/comments.tpl
===================================================================
--- /trunk/admin/themes/default/template/comments.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/comments.tpl	(revision 9586)
@@ -1,25 +1,24 @@
-{literal}
-<script type="text/javascript">
-$(document).ready(function(){
-  $(".checkComment").click(function(event) {
+{footer_script}{literal}
+jQuery(document).ready(function(){
+  jQuery(".checkComment").click(function(event) {
     if (event.target.type !== 'checkbox') {
-      var checkbox = $(this).children("input[type=checkbox]");
-      $(checkbox).attr('checked', !$(checkbox).is(':checked'));
+      var checkbox = jQuery(this).children("input[type=checkbox]");
+      jQuery(checkbox).attr('checked', !jQuery(checkbox).is(':checked'));
     }
   });
 
-  $("#commentSelectAll").click(function () {
-    $(".checkComment input[type=checkbox]").attr('checked', true);
+  jQuery("#commentSelectAll").click(function () {
+    jQuery(".checkComment input[type=checkbox]").attr('checked', true);
     return false;
   });
 
-  $("#commentSelectNone").click(function () {
-    $(".checkComment input[type=checkbox]").attr('checked', false);
+  jQuery("#commentSelectNone").click(function () {
+    jQuery(".checkComment input[type=checkbox]").attr('checked', false);
     return false;
   });
 
-  $("#commentSelectInvert").click(function () {
-    $(".checkComment input[type=checkbox]").each(function() {
-      $(this).attr('checked', !$(this).is(':checked'));
+  jQuery("#commentSelectInvert").click(function () {
+    jQuery(".checkComment input[type=checkbox]").each(function() {
+      jQuery(this).attr('checked', !$(this).is(':checked'));
     });
     return false;
@@ -27,6 +26,5 @@
 
 });
-</script>
-{/literal}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/element_set_ranks.tpl
===================================================================
--- /trunk/admin/themes/default/template/element_set_ranks.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/element_set_ranks.tpl	(revision 9586)
@@ -1,4 +1,2 @@
-{combine_script id='jquery.ui' load='async' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js' }
-{combine_script id='jquery.ui.sortable' load='async' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.sortable.min.js' }
 {footer_script require='jquery.ui.sortable'}{literal}
 jQuery(document).ready(function() {
@@ -12,13 +10,13 @@
   jQuery('ul.thumbnails').sortable( { 
     revert: true, opacity: 0.7,
-    handle: $('.rank-of-image').add('.rank-of-image img'),
+    handle: jQuery('.rank-of-image').add('.rank-of-image img'),
     update: function() {
-      $(this).find('li').each(function(i) { 
-        $(this).find("input[name^=rank_of_image]").each(function() {
-          $(this).attr('value', (i+1)*10)
+      jQuery(this).find('li').each(function(i) { 
+        jQuery(this).find("input[name^=rank_of_image]").each(function() {
+          jQuery(this).attr('value', (i+1)*10)
         });
       });
 
-      $('#image_order_rank').attr('checked', true);
+      jQuery('#image_order_rank').attr('checked', true);
       checkOrderOptions();
     }
Index: /trunk/admin/themes/default/template/include/autosize.inc.tpl
===================================================================
--- /trunk/admin/themes/default/template/include/autosize.inc.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/include/autosize.inc.tpl	(revision 9586)
@@ -1,3 +1,2 @@
-{combine_script id='jquery' load='async' path='themes/default/js/jquery.min.js'}
 {combine_script id='jquery.autogrow' load='async' require='jquery' path='themes/default/js/plugins/jquery.autogrow-textarea.js'}
 {* Auto size and auto grow textarea *}
Index: /trunk/admin/themes/default/template/include/datepicker.inc.tpl
===================================================================
--- /trunk/admin/themes/default/template/include/datepicker.inc.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/include/datepicker.inc.tpl	(revision 9586)
@@ -1,5 +1,2 @@
-{combine_script id='jquery' load='footer' path='themes/default/js/jquery.min.js'}
-{combine_script id='jquery.ui' load='footer' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js'}
-{combine_script id='jquery.ui.datepicker' load='footer' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.datepicker.min.js'}
 {combine_script id='datepicker.js' load='footer' require='jquery.ui.datepicker' path='themes/default/js/datepicker.js'}
 
@@ -12,5 +9,5 @@
 {combine_css path="themes/default/js/ui/theme/jquery.ui.datepicker.css"}
 
-{footer_script}
+{footer_script require='jquery.ui.datepicker,datepicker.js'}
 function pwg_initialization_datepicker(day, month, year, linked_date, checked_on_change, min_linked_date, max_linked_date)
 {ldelim}
Index: /trunk/admin/themes/default/template/include/dbselect.inc.tpl
===================================================================
--- /trunk/admin/themes/default/template/include/dbselect.inc.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/include/dbselect.inc.tpl	(revision 9586)
@@ -1,5 +1,2 @@
-{combine_script id='jquery' load='async' path='themes/default/js/jquery.min.js'}
-{combine_script id='jquery.ui' load='async' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js' }
-{combine_script id='jquery.ui.resizable' load='async' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.resizable.min.js' }
 {footer_script require='jquery.ui.resizable'}{literal}
 jQuery(document).ready(function(){
Index: /trunk/admin/themes/default/template/include/resize.inc.tpl
===================================================================
--- /trunk/admin/themes/default/template/include/resize.inc.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/include/resize.inc.tpl	(revision 9586)
@@ -1,6 +1,2 @@
-{combine_script id='jquery' load='async' path='themes/default/js/jquery.min.js'}
-{combine_script id='jquery.ui' load='async' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js'}
-{combine_script id='jquery.ui.resizable' load='async' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.resizable.min.js'}
-
 {* Resize possible *}
 {footer_script require='jquery.ui.resizable'}{literal}
Index: /trunk/admin/themes/default/template/include/tag_selection.inc.tpl
===================================================================
--- /trunk/admin/themes/default/template/include/tag_selection.inc.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/include/tag_selection.inc.tpl	(revision 9586)
@@ -1,17 +1,15 @@
-{literal}
-<script type="text/javascript">
-$(document).ready(function(){
-  $(".tagSelection label").click(function () {
-    var parent = $(this).parent('li');
-    var checkbox = $(this).children("input[type=checkbox]");
+{footer_script require='jquery'}{literal}
+jQuery(document).ready(function(){
+  jQuery(".tagSelection label").click(function () {
+    var parent = jQuery(this).parent('li');
+    var checkbox = jQuery(this).children("input[type=checkbox]");
 
-    if ($(checkbox).is(':checked')) {
-       $(parent).addClass("tagSelected"); 
+    if (jQuery(checkbox).is(':checked')) {
+      jQuery(parent).addClass("tagSelected"); 
     }
     else {
-       $(parent).removeClass('tagSelected'); 
+      jQuery(parent).removeClass('tagSelected'); 
     }
   });
 });
-</script>
-{/literal}
+{/literal}{/footer_script}
Index: /trunk/admin/themes/default/template/languages_update.tpl
===================================================================
--- /trunk/admin/themes/default/template/languages_update.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/languages_update.tpl	(revision 9586)
@@ -1,8 +1,5 @@
-{combine_script id='jquery.effects' load='async' path='themes/default/js/ui/minified/jquery.effects.core.min.js' }
-{combine_script id='jquery.effects.blind' load='async' require='jquery.effects' path='themes/default/js/ui/minified/jquery.effects.blind.min.js' }
-
-{footer_script require='jquery.effects.blind'}
-jQuery(document).ready(function(){ldelim}
-	jQuery("td[id^='desc_'], p[id^='revdesc_']").click(function() {ldelim}
+{footer_script require='jquery.effects.blind'}{literal}
+jQuery(document).ready(function(){
+	jQuery("td[id^='desc_'], p[id^='revdesc_']").click(function() {
 		id = this.id.split('_');
 		jQuery("#revdesc_"+id[1]).toggle('blind');
@@ -11,5 +8,5 @@
 	});
 });
-{/footer_script}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/menubar.tpl
===================================================================
--- /trunk/admin/themes/default/template/menubar.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/menubar.tpl	(revision 9586)
@@ -1,24 +1,22 @@
-{combine_script id='jquery.ui' load='async' require='jquery' path='themes/default/js/ui/minified/jquery.ui.core.min.js' }
-{combine_script id='jquery.ui.sortable' load='async' require='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.sortable.min.js' }
-{footer_script require='jquery.ui.sortable'}
-jQuery(document).ready(function(){ldelim}
+{footer_script require='jquery.ui.sortable'}{literal}
+jQuery(document).ready(function(){
 	jQuery(".menuPos").hide();
 	jQuery(".drag_button").show();
 	jQuery(".menuLi").css("cursor","move");
-	jQuery(".menuUl").sortable({ldelim}
+	jQuery(".menuUl").sortable({
 		axis: "y",
 		opacity: 0.8
 	});
-	jQuery("input[name^='hide_']").click(function() {ldelim}
+	jQuery("input[name^='hide_']").click(function() {
 		men = this.name.split('hide_');
-		if (this.checked) {ldelim}
+		if (this.checked) {
 			jQuery("#menu_"+men[1]).addClass('menuLi_hidden');
-		} else {ldelim}
+		} else {
 			jQuery("#menu_"+men[1]).removeClass('menuLi_hidden');
 		}
 	});
-	jQuery("#menuOrdering").submit(function(){ldelim}
+	jQuery("#menuOrdering").submit(function(){
 		ar = jQuery('.menuUl').sortable('toArray');
-		for(i=0;i<ar.length;i++) {ldelim}
+		for(i=0;i<ar.length;i++) {
 			men = ar[i].split('menu_');
 			document.getElementsByName('pos_' + men[1])[0].value = i+1;
@@ -26,5 +24,5 @@
 	});
 });
-{/footer_script}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/notification_by_mail.tpl
===================================================================
--- /trunk/admin/themes/default/template/notification_by_mail.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/notification_by_mail.tpl	(revision 9586)
@@ -1,6 +1,5 @@
 
 {include file='include/autosize.inc.tpl'}
-{literal}
-<script type="text/javascript">
+{footer_script}{literal}
 jQuery(document).ready(function(){
 
@@ -16,6 +15,5 @@
 
 });
-</script>
-{/literal}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 9586)
@@ -1,11 +1,9 @@
+{if $upload_mode eq 'multiple'}
 {combine_script id='jquery.jgrowl' load='footer' require='jquery' path='themes/default/js/plugins/jquery.jgrowl_minimized.js' }
-
-{if $upload_mode eq 'multiple'}
-<script type="text/javascript" src="{$uploadify_path}/swfobject.js"></script>
+{combine_script id='swfobject' load='footer' path='admin/include/uploadify/swfobject.js'}
 {combine_script id='jquery.uploadify' load='footer' require='jquery' path='admin/include/uploadify/jquery.uploadify.v2.1.0.min.js' }
+{combine_css path="admin/themes/default/uploadify.jGrowl.css"}
+{combine_css path="admin/include/uploadify/uploadify.css"}
 {/if}
-{html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}admin/themes/default/uploadify.jGrowl.css">
-{/html_head}
 
 {footer_script}{literal}
@@ -13,16 +11,16 @@
   function checkUploadStart() {
     var nbErrors = 0;
-    $("#formErrors").hide();
-    $("#formErrors li").hide();
-
-    if ($("input[name=category_type]:checked").val() == "new" && $("input[name=category_name]").val() == "") {
-      $("#formErrors #emptyCategoryName").show();
+    jQuery("#formErrors").hide();
+    jQuery("#formErrors li").hide();
+
+    if (jQuery("input[name=category_type]:checked").val() == "new" && jQuery("input[name=category_name]").val() == "") {
+      jQuery("#formErrors #emptyCategoryName").show();
       nbErrors++;
     }
 
     var nbFiles = 0;
-    if ($("#uploadBoxes").size() == 1) {
-      $("input[name^=image_upload]").each(function() {
-        if ($(this).val() != "") {
+    if (jQuery("#uploadBoxes").size() == 1) {
+      jQuery("input[name^=image_upload]").each(function() {
+        if (jQuery(this).val() != "") {
           nbFiles++;
         }
@@ -30,14 +28,14 @@
     }
     else {
-      nbFiles = $(".uploadifyQueueItem").size();
+      nbFiles = jQuery(".uploadifyQueueItem").size();
     }
 
     if (nbFiles == 0) {
-      $("#formErrors #noPhoto").show();
+      jQuery("#formErrors #noPhoto").show();
       nbErrors++;
     }
 
     if (nbErrors != 0) {
-      $("#formErrors").show();
+      jQuery("#formErrors").show();
       return false;
     }
@@ -68,17 +66,17 @@
   }
 
-  if ($("select[name=category] option").length == 0) {
-    $('input[name=category_type][value=existing]').attr('disabled', true);
-    $('input[name=category_type]').attr('checked', false);
-    $('input[name=category_type][value=new]').attr('checked', true);
+  if (jQuery("select[name=category] option").length == 0) {
+    jQuery('input[name=category_type][value=existing]').attr('disabled', true);
+    jQuery('input[name=category_type]').attr('checked', false);
+    jQuery('input[name=category_type][value=new]').attr('checked', true);
   }
 
-  $("input[name=category_type]").click(function () {
-    $("[id^=category_type_]").hide();
-    $("#category_type_"+$(this).attr("value")).show();
-  });
-
-  $("#hideErrors").click(function() {
-    $("#formErrors").hide();
+  jQuery("input[name=category_type]").click(function () {
+    jQuery("[id^=category_type_]").hide();
+    jQuery("#category_type_"+jQuery(this).attr("value")).show();
+  });
+
+  jQuery("#hideErrors").click(function() {
+    jQuery("#formErrors").hide();
     return false;
   });
@@ -89,14 +87,14 @@
   function addUploadBox() {
     var uploadBox = '<p class="file"><input type="file" size="60" name="image_upload[]"></p>';
-    $(uploadBox).appendTo("#uploadBoxes");
+    jQuery(uploadBox).appendTo("#uploadBoxes");
   }
 
   addUploadBox();
 
-  $("#addUploadBox A").click(function () {
+  jQuery("#addUploadBox A").click(function () {
     addUploadBox();
   });
 
-  $("#uploadForm").submit(function() {
+  jQuery("#uploadForm").submit(function() {
     return checkUploadStart();
   });
@@ -134,5 +132,5 @@
       }
       else {
-        $("input[name=submit_upload]").click();
+        jQuery("input[name=submit_upload]").click();
       }
     },
@@ -158,5 +156,5 @@
       }
 
-      $.jGrowl(
+      jQuery.jGrowl(
         '<p></p>'+msg,
         {
@@ -167,8 +165,8 @@
       );
 
-      $("#fileUploadgrowl" + queueID).fadeOut(
+      jQuery("#fileUploadgrowl" + queueID).fadeOut(
         250,
         function() {
-          $("#fileUploadgrowl" + queueID).remove()
+          jQuery("#fileUploadgrowl" + queueID).remove()
         }
       );
@@ -177,5 +175,5 @@
     onCancel: function (a, b, c, d) {
       var msg = "Cancelled uploading: "+c.name;
-      $.jGrowl(
+      jQuery.jGrowl(
         '<p></p>'+msg,
         {
@@ -189,5 +187,5 @@
     onClearQueue: function (a, b) {
       var msg = "Cleared "+b.fileCount+" files from queue";
-      $.jGrowl(
+      jQuery.jGrowl(
         '<p></p>'+msg,
         {
@@ -201,5 +199,5 @@
     onComplete: function (a, b ,c, d, e) {
       var size = Math.round(c.size/1024);
-      $.jGrowl(
+      jQuery.jGrowl(
         '<p></p>'+c.name+' - '+size+'KB',
         {
@@ -213,10 +211,10 @@
   });
 
-  $("input[type=button]").click(function() {
+  jQuery("input[type=button]").click(function() {
     if (!checkUploadStart()) {
       return false;
     }
 
-    $("#uploadify").uploadifyUpload();
+    jQuery("#uploadify").uploadifyUpload();
   });
 
Index: /trunk/admin/themes/default/template/photos_add_ploader.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_ploader.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/photos_add_ploader.tpl	(revision 9586)
@@ -1,19 +1,18 @@
-{html_head}
-{literal}
-<script type="text/javascript">
-$().ready(function(){
-  $("#pLoaderPage  img").fadeTo("fast", 0.6);
+{footer_script}{literal}
+jQuery().ready(function(){
+  jQuery("#pLoaderPage  img").fadeTo("fast", 0.6);
 
-  $("#pLoaderPage  img").hover(
+  jQuery("#pLoaderPage  img").hover(
     function(){
-      $(this).fadeTo("fast", 1.0); // Opacity on hover
+      jQuery(this).fadeTo("fast", 1.0); // Opacity on hover
     },
     function(){
-      $(this).fadeTo("fast", 0.6); // Opacity on mouseout
+      jQuery(this).fadeTo("fast", 0.6); // Opacity on mouseout
     }
   );
 });
-</script>
+{/literal}{/footer_script}
 
+{html_head}{literal}
 <style type="text/css">
 #pLoaderPage {
@@ -47,6 +46,5 @@
 }
 </style>
-{/literal}
-{/html_head}
+{/literal}{/html_head}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/photos_add_settings.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_settings.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/photos_add_settings.tpl	(revision 9586)
@@ -1,15 +1,14 @@
-{literal}
-<script type="text/javascript">
-$(document).ready(function(){
+{footer_script}{literal}
+jQuery(document).ready(function(){
   function toggleResizeFields(prefix) {
-    var checkbox = $("#"+prefix+"_resize");
-    var needToggle = $("input[name^="+prefix+"_]").not(checkbox).not($("#hd_keep")).parents('tr');
+    var checkbox = jQuery("#"+prefix+"_resize");
+    var needToggle = jQuery("input[name^="+prefix+"_]").not(checkbox).not(jQuery("#hd_keep")).parents('tr');
 
 
-    if ($(checkbox).is(':checked')) {
+    if (jQuery(checkbox).is(':checked')) {
       needToggle.show();
 
       if (prefix == "websize") {
-        $("#hd_keep").parents("fieldset").show();
+        jQuery("#hd_keep").parents("fieldset").show();
       }
     }
@@ -18,5 +17,5 @@
 
       if (prefix == "websize") {
-        $("#hd_keep").parents("fieldset").hide();
+        jQuery("#hd_keep").parents("fieldset").hide();
       }
     }
@@ -24,14 +23,14 @@
 
   toggleResizeFields("websize");
-  $("#websize_resize").click(function () {toggleResizeFields("websize")});
+  jQuery("#websize_resize").click(function () {toggleResizeFields("websize")});
 
   toggleResizeFields("hd");
-  $("#hd_resize").click(function () {toggleResizeFields("hd")});
+  jQuery("#hd_resize").click(function () {toggleResizeFields("hd")});
 
   function toggleHdFields() {
-    var checkbox = $("#hd_keep");
-    var needToggle = $("input[name^=hd_]").not(checkbox).parents('tr');
+    var checkbox = jQuery("#hd_keep");
+    var needToggle = jQuery("input[name^=hd_]").not(checkbox).parents('tr');
 
-    if ($(checkbox).is(':checked')) {
+    if (jQuery(checkbox).is(':checked')) {
       needToggle.show();
       toggleResizeFields("hd");
@@ -43,8 +42,7 @@
 
   toggleHdFields();
-  $("#hd_keep").click(function () {toggleHdFields()});
+  jQuery("#hd_keep").click(function () {toggleHdFields()});
 });
-</script>
-{/literal}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/plugins_new.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_new.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/plugins_new.tpl	(revision 9586)
@@ -1,15 +1,12 @@
-{combine_script id='jquery.effects' load='async' path='themes/default/js/ui/minified/jquery.effects.core.min.js' }
-{combine_script id='jquery.effects.blind' load='async' require='jquery.effects' path='themes/default/js/ui/minified/jquery.effects.blind.min.js' }
-
-{footer_script require='jquery.effects.blind'}
-jQuery(document).ready(function(){ldelim}
-	jQuery("td[id^='desc_']").click(function() {ldelim}
+{footer_script require='jquery.effects.blind'}{literal}
+jQuery(document).ready(function(){
+	jQuery("td[id^='desc_']").click(function() {
 		id = this.id.split('_');
 		nb_lines = jQuery("#bigdesc_"+id[1]).html().split('<br>').length;
 
 		jQuery("#smalldesc_"+id[1]).toggle('blind', 1);
-		if (jQuery(this).hasClass('bigdesc')) {ldelim}
+		if (jQuery(this).hasClass('bigdesc')) {
 			jQuery("#bigdesc_"+id[1]).toggle('blind', 1);
-		} else {ldelim}
+		} else {
 			jQuery("#bigdesc_"+id[1]).toggle('blind', 50 + (nb_lines * 30));
 		}
@@ -18,5 +15,5 @@
 	});
 });
-{/footer_script}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/plugins_update.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_update.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/plugins_update.tpl	(revision 9586)
@@ -1,8 +1,5 @@
-{combine_script id='jquery.effects' load='async' path='themes/default/js/ui/minified/jquery.effects.core.min.js' }
-{combine_script id='jquery.effects.blind' load='async' require='jquery.effects' path='themes/default/js/ui/minified/jquery.effects.blind.min.js' }
-
-{footer_script require='jquery.effects.blind'}
-jQuery(document).ready(function(){ldelim}
-	jQuery("td[id^='desc_'], p[id^='revdesc_']").click(function() {ldelim}
+{footer_script require='jquery.effects.blind'}{literal}
+jQuery(document).ready(function(){
+	jQuery("td[id^='desc_'], p[id^='revdesc_']").click(function() {
 		id = this.id.split('_');
 		jQuery("#revdesc_"+id[1]).toggle('blind');
@@ -11,5 +8,5 @@
 	});
 });
-{/footer_script}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/admin/themes/default/template/themes_update.tpl
===================================================================
--- /trunk/admin/themes/default/template/themes_update.tpl	(revision 9585)
+++ /trunk/admin/themes/default/template/themes_update.tpl	(revision 9586)
@@ -1,6 +1,3 @@
-{combine_script id='jquery.effects' load='async' path='themes/default/js/ui/minified/jquery.effects.core.min.js' }
-{combine_script id='jquery.effects.blind' load='async' require='jquery.effects' path='themes/default/js/ui/minified/jquery.effects.blind.min.js' }
-
-{footer_script require='jquery.effects.blind'}
+{footer_script require='jquery.effects.blind'}{literal}
 jQuery(document).ready(function(){ldelim}
 	jQuery("td[id^='desc_'], p[id^='revdesc_']").click(function() {ldelim}
@@ -11,5 +8,5 @@
 	});
 });
-{/footer_script}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /trunk/include/template.class.php
===================================================================
--- /trunk/include/template.class.php	(revision 9585)
+++ /trunk/include/template.class.php	(revision 9586)
@@ -1140,5 +1140,5 @@
   private function load_known_required_script($id, $load_mode)
   {
-    if ( isset(self::$known_paths[$id]) or strncmp($id, 'jquery.ui.', 10)==0 or strncmp($id, 'jquery.effetcs.', 15)==0 )
+    if ( isset(self::$known_paths[$id]) or strncmp($id, 'jquery.ui.', 10)==0 or strncmp($id, 'jquery.effects.', 15)==0 )
     {
       $this->add($id, $load_mode, array(), null);