Index: /extensions/music_player/lecteur.php
===================================================================
--- /extensions/music_player/lecteur.php	(revision 9589)
+++ /extensions/music_player/lecteur.php	(revision 9590)
@@ -2,4 +2,12 @@
 define('PHPWG_ROOT_PATH','../../');
 include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
+
+/////////////// PAS DE MENU !
+if ( function_exists( 'add_menu_on_public_pages' ) or function_exists( 'spread_menus_on_public_pages' ) )
+{
+	remove_event_handler('loc_after_page_header', 'add_menu_on_public_pages', 20);
+	remove_event_handler('loc_after_page_header', 'spread_menus_on_public_pages', 20);
+
+}
 
 $m_p = get_plugin_data('music_player');
@@ -46,14 +54,13 @@
 else {
 
-$page['body_id'] = 'lecteur';
-
-  global $conf;
-  $conf_plugin = explode("," , $conf['mp_plugin']);
-  $template->assign(
-    array(
-      'conf_plugin_1' => $conf_plugin[1],
-      'conf_plugin_2' => $conf_plugin[2],
-    )
-  );
+$page['body_id'] = 'theMPlecteur';
+global $conf;
+$conf_plugin = explode("," , $conf['mp_plugin']);
+$template->assign(
+	array(
+		'conf_plugin_1' => $conf_plugin[1],
+		'conf_plugin_2' => $conf_plugin[2],
+	)
+);
 
 
Index: /extensions/music_player/main.inc.php
===================================================================
--- /extensions/music_player/main.inc.php	(revision 9589)
+++ /extensions/music_player/main.inc.php	(revision 9590)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: music_player
-Version: 2.1.5
+Version: auto
 Description: play music / avoir de la musique
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=162
Index: /extensions/music_player/maintain.inc.php
===================================================================
--- /extensions/music_player/maintain.inc.php	(revision 9589)
+++ /extensions/music_player/maintain.inc.php	(revision 9590)
Index: /extensions/music_player/template/style/Pure_autumn/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_autumn/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_autumn/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xedf2f2';
-$STYLE_FILE='template/style/Pure_autumn/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_autumn/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_clear_blue/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_clear_blue/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_clear_blue/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0x005E89';
 $LIGHT_COLOR='0x005E89';
-$STYLE_FILE='template/style/Pure_clear_blue/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_clear_blue/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_green_nature/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_green_nature/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_green_nature/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xedf2f2';
-$STYLE_FILE='template/style/Pure_green_nature/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_green_nature/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_grey_light/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_grey_light/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_grey_light/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
-$STYLE_FILE='template/style/Pure_grey_light/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_grey_light/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_grey_plastic/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_grey_plastic/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_grey_plastic/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
-$STYLE_FILE='template/style/Pure_grey_plastic/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_grey_plastic/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_sky/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_sky/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_sky/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0x005E89';
 $LIGHT_COLOR='0x005E89';
-$STYLE_FILE='template/style/Pure_sky/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_sky/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0x005E89';
 $LIGHT_COLOR='0x005E89';
-$STYLE_FILE='template/style/Pure_tr_clear_blue/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_tr_clear_blue/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Pure_tr_green_nature/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Pure_tr_green_nature/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Pure_tr_green_nature/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xedf2f2';
-$STYLE_FILE='template/style/Pure_green_nature/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Pure_green_nature/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Sylvia/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/Sylvia/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/Sylvia/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xFF7700';
 $LIGHT_COLOR='0xfb3558';
-$STYLE_FILE='template/style/Sylvia/lecteur.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/Sylvia/lecteur.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/Sylvia/lecteur.css
===================================================================
--- /extensions/music_player/template/style/Sylvia/lecteur.css	(revision 9589)
+++ /extensions/music_player/template/style/Sylvia/lecteur.css	(revision 9590)
Index: /extensions/music_player/template/style/clear/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/clear/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/clear/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0x005E89';
 $LIGHT_COLOR='0x005E89';
-$STYLE_FILE='template/style/default.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/default.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/default.conf.php
===================================================================
--- /extensions/music_player/template/style/default.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/default.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
-$STYLE_FILE='template/style/default.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/default.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/default.tpl
===================================================================
--- /extensions/music_player/template/style/default.tpl	(revision 9589)
+++ /extensions/music_player/template/style/default.tpl	(revision 9590)
@@ -1,4 +1,4 @@
-{html_head}<link rel="stylesheet" type="text/css" href="{$STYLE_FILE}">{/html_head}
-{html_head}<script type="text/javascript" src="./player/swfobject.js"></script>{/html_head}
+{combine_css path="$STYLE_FILE"}
+{combine_script id="music_player_js" load="header" path="plugins/music_player/player/swfobject.js"}
 {html_head}<script type="text/javascript">
 {literal}
Index: /extensions/music_player/template/style/default/lecteur.tpl
===================================================================
--- /extensions/music_player/template/style/default/lecteur.tpl	(revision 9589)
+++ /extensions/music_player/template/style/default/lecteur.tpl	(revision 9590)
@@ -1,3 +1,3 @@
-{html_head}<link rel="stylesheet" type="text/css" href="{$STYLE_FILE}">{/html_head}
+{combine_css path="$STYLE_FILE"}
 {html_head}<script type="text/javascript" src="./player/swfobject.js"></script>{/html_head}
 {html_head}<script type="text/javascript">
Index: /extensions/music_player/template/style/flop_mauve/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/flop_mauve/lecteur.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/flop_mauve/lecteur.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
-$STYLE_FILE='template/style/default.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/default.css';
 $TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/my_phone.conf.php
===================================================================
--- /extensions/music_player/template/style/my_phone.conf.php	(revision 9589)
+++ /extensions/music_player/template/style/my_phone.conf.php	(revision 9590)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
-$STYLE_FILE='template/style/my_phone/my_phone.css';
+$STYLE_FILE= 'plugins/'.MP_NAME.'/template/style/my_phone/my_phone.css';
 $TPL_FILE= $m_p->plugin_path.'template/style/my_phone/my_phone.tpl';
 //$TPL_FILE='template/style/my_phone/my_phone.tpl';
Index: /extensions/music_player/template/style/my_phone/my_phone.tpl
===================================================================
--- /extensions/music_player/template/style/my_phone/my_phone.tpl	(revision 9589)
+++ /extensions/music_player/template/style/my_phone/my_phone.tpl	(revision 9590)
@@ -1,3 +1,3 @@
-{html_head}<link rel="stylesheet" type="text/css" href="{$STYLE_FILE}">{/html_head}
+{combine_css path="$STYLE_FILE"}
 {html_head}<script type="text/javascript" src="./player/swfobject.js"></script>{/html_head}
 {html_head}<script type="text/javascript">