Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 9611)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 9612)
@@ -771,3 +771,11 @@
 $lang['You have %d orphan tags: %s.'] = 'У Вас есть %d непривязанных  меток: %s.';
 $lang['Remove from caddie'] = 'Очистить корзину';
+$lang['Themes which need upgrade'] = 'Темы, которые нужно обновить';
+$lang['Languages which need upgrade'] = 'Языки, которые нужно обновить';
+$lang['All themes are up to date.'] = 'Все темы обновлены до последней версии.';
+$lang['All plugins are up to date.'] = 'Все плагины обновлены до последней версии.';
+$lang['All languages are up to date.'] = 'Все языки обновлены до последней версии.';
+$lang['Visit theme site'] = 'Посмотреть полное описание темы';
+$lang['Visit language site'] = 'Посмотреть подробную страницу языка';
+$lang['New Version'] = 'Новая версия';
 ?>
Index: /trunk/language/ru_RU/upgrade.lang.php
===================================================================
--- /trunk/language/ru_RU/upgrade.lang.php	(revision 9611)
+++ /trunk/language/ru_RU/upgrade.lang.php	(revision 9612)
@@ -32,13 +32,10 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Только администратор может запустить обновление: проверьте ниже.';
 $lang['You do not have access rights to run upgrade'] = 'У вас нет прав на запуск обновлений';
-
-// Upgrade informations from upgrade_1.3.1.php
 $lang['All sub-albums of private albums become private'] = 'Все вложенные альбомы для приватного альбома тоже становятся приватными';
 $lang['User permissions and group permissions have been erased'] = 'Разрешения пользователей и групп были стерты';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Только префикс эскизов и адрес почты вебмастера были сохранены от предыдущей конфигурации';
-
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Эта страница предлагает модернизировать базу данных от Вашей старой версии Piwigo до новой версии.
-Помощник обновления думает, что Вы используете в настоящее время <b> выпуск %s </b> (или эквивалентный).';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Эта страница предлагает модернизировать базу данных от Вашей старой версии Piwigo до новой версии. Помощник обновления думает, что Вы используете в настоящее время <b> выпуск %s </b> (или эквивалентный).';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Желательно, чтобы следующие плагины были дезактивированы. Вы должны проверить обновления плагинов прежде, чем активировать их снова:';
 $lang['In <i>%s</i>, before <b>?></b>, insert:'] ='В %s, до ?>, вставить:';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Предварительно эти темы были деактивированы. Вы должны проверить актуальность их версии, прежде чем реактивировать их:';
 ?>