Index: /extensions/adult_content/class.inc.php
===================================================================
--- /extensions/adult_content/class.inc.php	(revision 9625)
+++ /extensions/adult_content/class.inc.php	(revision 9626)
@@ -75,11 +75,17 @@
     $menu = & $menu_ref_arr[0];
     if ($menu->get_id() != 'menubar')
+		{
       return;
+		}
     $menu->register_block(new RegisteredBlock('mbAdultContent', 'Adult Content', 'AC'));
   }
   function ac_lien_menu($menu)
   {
-    array_push($menu, array('NAME' => 'Adult Content',
-            'URL' => get_admin_plugin_menu_link(get_root_url().'plugins/'.$this->plugin_name.'/admin/admin.php')));
+    array_push(
+			$menu,
+			array('NAME' => 'Adult Content',
+            'URL'  => get_admin_plugin_menu_link(get_root_url().'plugins/'.$this->plugin_name.'/admin/admin.php')
+						)
+		);
     return $menu;
   }
Index: /extensions/adult_content/include/charte.css
===================================================================
--- /extensions/adult_content/include/charte.css	(revision 9625)
+++ /extensions/adult_content/include/charte.css	(revision 9626)
Index: /extensions/adult_content/include/charte.tpl
===================================================================
--- /extensions/adult_content/include/charte.tpl	(revision 9625)
+++ /extensions/adult_content/include/charte.tpl	(revision 9626)
@@ -1,3 +1,3 @@
-{html_head}<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/{$PLUGIN_NAME}/include/charte.css">{/html_head}
+{combine_css path="plugins/$PLUGIN_NAME/include/charte.css"}
 <div id="content">
 <div class="titrePage">
Index: /extensions/adult_content/include/charte_user.tpl
===================================================================
--- /extensions/adult_content/include/charte_user.tpl	(revision 9625)
+++ /extensions/adult_content/include/charte_user.tpl	(revision 9626)
@@ -1,5 +1,3 @@
-{html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/{$PLUGIN_NAME}/include/charte.css">
-{/html_head}
+{combine_css path="plugins/$PLUGIN_NAME/include/charte.css"}
 <div id="content">
   <div class="titrePage">
Index: /extensions/adult_content/template/OS_default/block.tpl
===================================================================
--- /extensions/adult_content/template/OS_default/block.tpl	(revision 9625)
+++ /extensions/adult_content/template/OS_default/block.tpl	(revision 9626)
@@ -1,5 +1,3 @@
-{html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/{$PLUGIN_NAME}/include/charte.css">
-{/html_head}
+{combine_css path="plugins/$PLUGIN_NAME/include/charte.css"}
 <div class="content" id="ac_content">
   <table id="table_content" border="0" cellspacing="0" cellpadding="0">
Index: /extensions/adult_content/template/Pure_default/block.tpl
===================================================================
--- /extensions/adult_content/template/Pure_default/block.tpl	(revision 9625)
+++ /extensions/adult_content/template/Pure_default/block.tpl	(revision 9626)
@@ -1,5 +1,3 @@
-{html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/{$PLUGIN_NAME}/include/charte.css">
-{/html_head}
+{combine_css path="plugins/$PLUGIN_NAME/include/charte.css"}
 <div class="content" id="ac_content">
   <table id="table_content" border="0" cellspacing="0" cellpadding="0">
Index: /extensions/adult_content/template/default/block.tpl
===================================================================
--- /extensions/adult_content/template/default/block.tpl	(revision 9625)
+++ /extensions/adult_content/template/default/block.tpl	(revision 9626)
@@ -1,3 +1,3 @@
-{html_head}<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/{$PLUGIN_NAME}/include/charte.css">{/html_head}
+{combine_css path="plugins/$PLUGIN_NAME/include/charte.css"}
 <div class="content" id="ac_content">
 <div class="titrePage">
Index: /extensions/adult_content/template/flop_mauve/block.tpl
===================================================================
--- /extensions/adult_content/template/flop_mauve/block.tpl	(revision 9625)
+++ /extensions/adult_content/template/flop_mauve/block.tpl	(revision 9626)
@@ -1,3 +1,3 @@
-{html_head}<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/{$PLUGIN_NAME}/include/charte.css">{/html_head}
+{combine_css path="plugins/$PLUGIN_NAME/include/charte.css"}
 <div class="content" id="ac_content">
 <div class="titrePage">