Index: extensions/PWG_Stuffs/language/en_UK/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 9601)
+++ extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 9628)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Blocks management';
+$lang['stuffs_add_mod'] = 'Add a block';
+$lang['stuffs_edit_mod'] = 'Edit block';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Block title';
+$lang['stuffs_desc'] = 'Description';
+$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
+$lang['stuffs_type'] = 'Block type';
+$lang['stuffs_position'] = 'Position';
+$lang['stuffs_id_ligne'] = 'ID line';
+$lang['stuffs_width'] = 'Width';
+$lang['stuffs_action'] = 'Actions';
+$lang['stuffs_edit'] = 'Modify block';
+$lang['stuffs_delete'] = 'Delete block';
+$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
+$lang['stuffs_main_block'] = 'Main block';
+$lang['Hide on home page'] = 'Hide on home page';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Add new block';
+$lang['stuffs_module_config'] = 'Block configuration';
+$lang['stuffs_visual_config'] = 'Display configuration';
+$lang['stuffs_module_options'] = 'Block options';
+$lang['stuffs_authorized_group'] = 'Authorized groups';
+$lang['stuffs_authorized_users'] = 'Authorized users';
+$lang['stuffs_public_module'] = '(Keep empty for public block)';
+$lang['stuffs_show_title'] = 'Show block title';
+$lang['stuffs_show_module_on'] = 'Show block :';
+$lang['stuffs_show_on_home'] = 'On main page';
+$lang['stuffs_show_on_root'] = 'On categories root page';
+$lang['stuffs_show_on_cats'] = 'On all categories pages';
+$lang['stuffs_show_on_picture'] = 'On picture pages';
+$lang['stuffs_no_options'] = 'No options for this block';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Activate authorization management:';
+$lang['stuffs_group_perm'] = 'by groups';
+$lang['stuffs_user_perm'] = 'by user type';
+$lang['stuffs_level_perm'] = 'by privacy level';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Select all';
+$lang['stuffs_unselect_all'] = 'Unselect all';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Order successfully saved.';
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
+$lang['stuffs_no_name'] = 'You must specify block\'s name';
+$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
 
 //------------------------------------------------------------------------------
Index: extensions/PWG_Stuffs/language/es_ES/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/es_ES/plugin.lang.php	(revision 9601)
+++ extensions/PWG_Stuffs/language/es_ES/plugin.lang.php	(revision 9628)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Gestión de los bloques';
+$lang['stuffs_add_mod'] = 'Añadir un nuevo bloque';
+$lang['stuffs_edit_mod'] = 'Edición del bloque';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Titulo del bloque';
+$lang['stuffs_desc'] = 'Descripcion';
+$lang['stuffs_only_for_admin'] = '(sólo para el panel de la administración)';
+$lang['stuffs_type'] = 'Tipo de bloque';
+$lang['stuffs_position'] = 'Posicion';
+$lang['stuffs_id_ligne'] = 'ID línea';
+$lang['stuffs_width'] = 'Ancho';
+$lang['stuffs_action'] = 'Acciones';
+$lang['stuffs_edit'] = 'Modificar el bloque';
+$lang['stuffs_delete'] = 'Supprimir el bloque';
+$lang['stuffs_confirm_delete'] = 'Está seguro quierer eliminar el bloque %s?';
+$lang['stuffs_main_block'] = 'Bloque principal';
+$lang['Hide on home page'] = 'Ocultar en la página principal';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Añadir un nuevo bloque';
+$lang['stuffs_module_config'] = 'Configuracion del bloque';
+$lang['stuffs_visual_config'] = 'Configuración de la visualizacion';
+$lang['stuffs_module_options'] = 'Opción del blosque';
+$lang['stuffs_authorized_group'] = 'Grupos autorizados';
+$lang['stuffs_authorized_users'] = 'Usuarios autorizados';
+$lang['stuffs_public_module'] = '(Deja en blanco para bloque público)';
+$lang['stuffs_show_title'] = 'Mostrar el titulo del bloque';
+$lang['stuffs_show_module_on'] = 'Mostrar el bloque :';
+$lang['stuffs_show_on_home'] = 'En la pagina principal del sitio';
+$lang['stuffs_show_on_root'] = 'En la raíz de las categorías';
+$lang['stuffs_show_on_cats'] = 'En todas las páginas de las categorías';
+$lang['stuffs_show_on_picture'] = 'En las páginas de imágenes';
+$lang['stuffs_no_options'] = 'No hay opciones para este bloque';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Habilitar la administración de los derechos de acceso a los módulos:';
+$lang['stuffs_group_perm'] = 'por grupos';
+$lang['stuffs_user_perm'] = 'por tipo de usuario';
+$lang['stuffs_level_perm'] = 'por nivel de confidencialidad';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Seleccionar todo';
+$lang['stuffs_unselect_all'] = 'Deseleccionar todos';
 
-// Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+//Mensajes de información
+$lang['stuffs_order_saved'] = 'El orden se ha guardado.';
+$lang['stuffs_upgrade_message'] = 'El plugin PWG Stuffs a sido renombrado. Ahora se llama "Blocks".';
 
-// Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+// Mensajes de error
+$lang['stuffs_error_no_mod_selected'] = 'No ha seleccionado un bloque para agregar.';
+$lang['stuffs_no_name'] = 'Debe introducir un nombre para el bloque';
+$lang['stuffs_parent_plugin_is_missing'] = 'EL PLUGIN PADRE ya no está activo. Por favor, elimine este bloque o activar el plugin padres.';
+$lang['stuffs_piclens_need_upgrade'] = 'EL PLUGIN PicLens debe ser actualizado. PWG Stuffs no es compatible con esta versión de Piclens.';
 
 //------------------------------------------------------------------------------
@@ -69,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Altura del cuadro';
 
-
 //------------------------------------------------------------------------------
 //              Module Logon
@@ -79,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Retirar el bloque " identificación rápida " del menubar';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -88,5 +86,4 @@
 
 $lang['personal_content'] = 'Contenido';
-
 
 //------------------------------------------------------------------------------
@@ -101,5 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Reagrupar por letras';
 $lang['stuffs_tags_cumulus'] = '¿ Utilizar el modo Cúmulo (el plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> debe etre instalado)';
-
 
 //------------------------------------------------------------------------------