Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 9629)
+++ trunk/language/de_DE/admin.lang.php	(revision 9631)
@@ -24,8 +24,8 @@
 $lang['%d association'] = '%d Element wird insgesamt angezeigt (physisch und virtuell)';
 $lang['%d associations'] = '%d Elemente werden insgesamt angezeigt (physisch und virtuell)';
-$lang['%d album including'] = '%d Album enthalten';
-$lang['%d albums including'] = '%d Alben enthalten';
-$lang['%d physical'] = '%d physisch';
-$lang['%d physical'] = '%d physische';
+$lang['%d album including'] = '%d Album, ';
+$lang['%d albums including'] = '%d Alben, ';
+$lang['%d physical'] = 'davon %d physisch';
+$lang['%d physical'] = 'davon %d physische';
 $lang[' and %d virtual'] = ' und %d virtuell';
 $lang[' and %d virtual'] = ' und %d virtuelle';
@@ -77,5 +77,5 @@
 $lang['Display options'] = 'Anzeigeeinstellungen';
 $lang['Dissociated'] = 'ist nicht verlinkt';
-$lang['Does not represent'] = 'Ist nicht Vorschaubild für diese Kategirien';
+$lang['Does not represent'] = 'Ist nicht Vorschaubild für dieses Album';
 $lang['Edit selected tags'] = 'Bearbeite markierte Tags';
 $lang['Edit tags'] = 'Bearbeite Tags';
@@ -179,27 +179,27 @@
 $lang['associate to group'] = 'Mit Gruppe verbinden';
 $lang['Authorized'] = 'Freigegebene Kategorien';
-$lang['Add a virtual album'] = 'Virtueller Album hinzufügen';
+$lang['Add a virtual album'] = 'Virtuelles Album hinzufügen';
 $lang['Authorize users to add comments on selected albums'] = 'Benutzern erlauben, in ausgewählten Alben Kommentare zu schreiben';
 $lang['The name of an album must not be empty'] = 'Der Name eines Albums darf nicht leer sein.';
 $lang['Lock albums'] = 'Album schließen';
-$lang['Private'] = 'Privater Album';
-$lang['Public'] = 'Öffentlicher Album';
+$lang['Private'] = 'Privates Album';
+$lang['Public'] = 'Öffentliches Album';
 $lang['Find a new representant by random'] = 'Bestimme ein neues zufälliges Vorschaubild';
 $lang['Public / Private'] = 'Öffentlich / Privat';
 $lang['Manage authorizations for selected albums'] = 'Berechtigungen für ausgewählte Alben verwalten';
-$lang['Virtual album added'] = 'Virtueller Album hinzugefügt';
-$lang['Virtual album deleted'] = 'Virtueller Album entfernt';
+$lang['Virtual album added'] = 'Virtuelles Album hinzugefügt';
+$lang['Virtual album deleted'] = 'Virtuelles Album entfernt';
 $lang['Access type'] = 'Zugangsart';
 $lang['Comments'] = 'Benutzerkommentare';
 $lang['Information data registered in database'] = 'Änderungen wurden gespeichert';
-$lang['Default display'] = 'Standartanzeige';
+$lang['Default display'] = 'Standarddarstellung';
 $lang['The gallery URL is not valid.'] = 'Die URL der Galerie ist falsch.';
 $lang['Main'] = 'Grundeinstellungen';
-$lang['The number of comments a page must be between 5 and 50 included.'] = 'Anzahl Kommentare pro Seite muß zwischen 5 und 50 liegen.';
+$lang['The number of comments a page must be between 5 and 50 included.'] = 'Anzahl der Kommentare pro Seite muss zwischen 5 und 50 liegen.';
 $lang['Configuration'] = 'Konfiguration';
 $lang['confirm'] = 'bestätigen';
 $lang['Date'] = 'Datum';
 $lang['delete album'] = 'Album löschen';
-$lang['Dissociate from album'] = 'Vom Album abtrennen';
+$lang['Dissociate from album'] = 'Von Album abtrennen';
 $lang['dissociate from group'] = 'Von Gruppe abtrennen';
 $lang['edit album permissions'] = 'Albumberechtigungen bearbeiten';
@@ -211,6 +211,6 @@
 $lang['first photo added on %s'] = 'erstes Foto am %s hinzugefügt';
 $lang['Forbidden'] = 'Gesperrte Kategorien';
-$lang['global mode'] = 'Gobaler Modus';
-$lang['group "%s" added'] = 'Gruppe "%s" ninzugefügt';
+$lang['global mode'] = 'Globaler Modus';
+$lang['group "%s" added'] = 'Gruppe "%s" hinzugefügt';
 $lang['group "%s" deleted'] = 'Gruppe "%s" gelöscht';
 $lang['group "%s" updated'] = 'Gruppe "%s" aktualisiert';
@@ -236,5 +236,5 @@
 $lang['email'] = 'E-mail';
 $lang['User'] = 'Benutzer';
-$lang['Complementary mail content'] = 'Detaillierter Inhalt der Beachrichtigungsmail';
+$lang['Complementary mail content'] = 'Detaillierter Inhalt der Benachrichtigungsmail';
 $lang['See you soon,'] = 'Bis bald,';
 $lang['Go to'] = 'Gehe zu ';
@@ -601,5 +601,5 @@
 $lang['Add New Theme'] = 'Füge ein neues Thema hinzu';
 $lang['Forbid this theme to users'] = 'Verbieten Sie dieses Thema den Benutzern';
-$lang['Set as default theme for unregistered and new users'] = 'Setzte als Standartthema für unregistrierte und neue Benutzer';
+$lang['Set as default theme for unregistered and new users'] = 'Setzte als Standardthema für unregistrierte und neue Benutzer';
 $lang['unknown'] = 'unbekannt';
 $lang['Upload Photos'] = 'Lade Fotos hoch';
@@ -608,12 +608,12 @@
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Erstelle den  "%s" Ordner im Hauptordner (root) deiner Piwigoinstallation';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Gebe Schreibrechte (chmod 777) dem Ordner "%s" im Hauptordner (root) deiner Piwigoinstallation';
-$lang['existing album'] = 'Existierender Album';
+$lang['existing album'] = 'Existierendes Album';
 $lang['create a new album'] = 'Ein neues Album erstellen';
 $lang['Album name'] = 'Albumname';
-$lang['Album "%s" has been added'] = 'Kategorie "%s" wurde hinzugefügt';
+$lang['Album "%s" has been added'] = 'Album "%s" wurde hinzugefügt';
 $lang['Uploaded Photos'] = 'Lade Fotos hoch';
 $lang['%d photos uploaded'] = '%d Fotos hochgeladen';
 $lang['Privacy level set to "%s"'] = 'Privacy level gesetzt auf "%s"';
-$lang['Album "%s" now contains %d photos'] = 'Kategorie "%s" enthält nun %d Fotos';
+$lang['Album "%s" now contains %d photos'] = 'Album "%s" enthält nun %d Fotos';
 $lang['Manage this set of %d photos'] = 'Verwalte dieses Set von %d Fotos';
 $lang['Select files'] = 'Wähle Dateien aus';
@@ -682,5 +682,5 @@
 $lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Es ist nicht möglich dieses Thema zu deaktivieren, du benötigst mindestens ein Thema.';
 $lang['Miscellaneous'] = 'Verschiedenes';
-$lang['Virtual Links'] = 'Virtuellen Verbindungen';
+$lang['Virtual Links'] = 'Virtuelle Verbindungen';
 $lang['Download'] = 'Herunterladen';
 $lang['Webmaster status is required.'] = 'Sie benötigen Webmaster-berechtigung.';
Index: trunk/language/de_DE/help/help_add_photos.html
===================================================================
--- trunk/language/de_DE/help/help_add_photos.html	(revision 9629)
+++ trunk/language/de_DE/help/help_add_photos.html	(revision 9631)
@@ -1,7 +1,7 @@
-<p>Möglichkeiten Fotos zu Ihrer Galerie hinzuzufügen:</p>
+<p>Möglichkeiten, Fotos zu Ihrer Galerie hinzuzufügen:</p>
 
 <ul>
   <li><strong>Manueller Upload</strong> über Ihren Webbrowser ist die einfachste und
-  direkteste Methode. Der Funktionsumfang dieser Methods hängt im wesentlichen von
+  direkteste Methode. Der Funktionsumfang dieser Methode hängt im wesentlichen von
   den Fähigkeiten Ihres Browsers und denen Ihres Webservers ab. Für den Upload größerer Mengen
   sollten Sie jedoch auf die unten angeführten Möglichkeiten zurückgreifen.</li>
@@ -11,5 +11,5 @@
 
 <ul>
-  <li><strong>pLoader</strong> ist eine Anwendung, die Sie auf Ihrem Computer installieren können. Ziehen Sie Fotos in das pLoader Fenster und klicken Sie auf <em>"Upload zur Piwigo"</em>. Den Rest erledigt pLoader für Sie. Außerdem können Sie auch andere Anwendungen wie <strong>WinToPiwigo</strong> oder den <strong>Digikam</strong> Export-Plugin für Piwigo einsetzen.</li>
+  <li><strong>pLoader</strong> ist eine Anwendung, die Sie auf Ihrem Computer installieren können. Ziehen Sie Fotos in das pLoader Fenster und klicken Sie auf <em>"Upload zur Piwigo"</em>. Den Rest erledigt pLoader für Sie. Außerdem können Sie auch andere Anwendungen wie <strong>WinToPiwigo</strong> oder das <strong>Digikam</strong> Export-Plugin für Piwigo einsetzen.</li>
 </ul>
 
@@ -19,6 +19,6 @@
 <ul>
   <li><strong>FTP Upload</strong> ist die empfohlene Methode, um große Mengen
-  von Fotos mit wenigen Mausklicks zu übertragen. Befolgen Sie die Anweisungen
-  im Handbuch um Ihre Fotos vorzubereiten, und laden Sie sie mit dem FTP
+  an Fotos mit wenigen Mausklicks zu übertragen. Befolgen Sie die Anweisungen
+  im Handbuch um Ihre Fotos vorzubereiten und laden Sie sie mit dem FTP
   Programm Ihrer Wahl hoch. Mit der FTP Methode können Sie selbst bestimmen, wie
   Ihre Fotos auf Ihrem Server organisiert sind.</li>
Index: trunk/language/de_DE/help/help_groups.html
===================================================================
--- trunk/language/de_DE/help/help_groups.html	(revision 9629)
+++ trunk/language/de_DE/help/help_groups.html	(revision 9631)
@@ -1,10 +1,10 @@
-<p>Groups are a convenient way to set permissions for a list of users.</p>
+<p>Gruppen sind ein guter Weg, Benutzerrechte für mehrere Benutzer zugleich zu verwalten.</p>
 
-<p>Create groups in <span class="pwgScreen">Administration &raquo; Users
-&raquo; Groups</span> and associate users to this group in <span
-class="pwgScreen">Administration &raquo; Users &raquo; Manage</span>.</p>
+<p>Erstelle Gruppen unter:
+<span class="pwgScreen">Administration &raquo; Benutzer &raquo;
+Gruppen</span> und verknüpfe Benutzer mit dieser Gruppe
+in <span class="pwgScreen">Administration &raquo; Benutzer &raquo;
+Verwalten</span>.</p>
 
-<p>A user can belong to several groups. Authorization takes precedence over
-interdiction : if user "jack" belongs to groups "family" and "friends", and
-that only group "family" can see album "Christmas 2010" album then "jack"
-will be able to see "Christmas 2010".</p>
+<p>Ein Benutzer kann mehreren Gruppen angehören. Dabei hat die Authorisierung Vorrang vor Verboten.
+Wenn der Benutzer "Stein" zu den Gruppen "Familie" und "Freunde" gehört und nur die Gruppe "Familie" kann sich das Album "Weihnachten 2010" ansehen, dann kann "Stein" kann sich dieses Album ansehen.</p>
Index: trunk/language/de_DE/help/help_misc.html
===================================================================
--- trunk/language/de_DE/help/help_misc.html	(revision 9629)
+++ trunk/language/de_DE/help/help_misc.html	(revision 9631)
@@ -1,9 +1,9 @@
-<p>Nachdem Sie die Galerie erstellt haben können sie diese nun für ihre Besucher konfigurieren
+<p>Nachdem Sie die Galerie erstellt haben, können sie diese nun für ihre Besucher konfigurieren
 <ul>
-    <li>Die Standard-Anzeige, wie Sie sie möchten legen Sie in <span class="pwgScreen">Administration &raquo; Konfiguration &raquo; Optionen</span> Tab <span class="pwgScreen">Einstellungen für Gäste</span> fest</li>
-    <li>Das Standartthema in <span class="pwgScreen">Administration &raquo; Konfiguration &raquo; Themen</span></li>
-    <li>Die standartmäßig verwendete Sprache in <span class="pwgScreen">Administration &raquo; Konfiguration &raquo; Sprachen</span></li>
+    <li>Die von Ihnen gewünschte Standarddarstellung legen Sie in <span class="pwgScreen">Administration &raquo; Konfiguration &raquo; Optionen</span> Tab <span class="pwgScreen">Einstellungen für Gäste</span> fest</li>
+    <li>Das Standardthema in <span class="pwgScreen">Administration &raquo; Konfiguration &raquo; Themen</span></li>
+    <li>Die standardmäßig verwendete Sprache in <span class="pwgScreen">Administration &raquo; Konfiguration &raquo; Sprachen</span></li>
 </ul>
 Damit wird jedem neuen Benutzer diese Einstellung nach erfolgreicher Registrierung vorgegeben.
 </p>
-<p>Falls Sie Fragen haben, die Piwigo Community heißt Sie herzlich Willkommen in <a href="http://de.piwigo.org/forum">ihrem Forum</a>.</p>
+<p>Falls Sie Fragen haben, heißt Sie die Piwigo Community in <a href="http://de.piwigo.org/forum">ihrem Forum</a> herzlich Willkommen.</p>
Index: trunk/language/de_DE/help/help_permissions.html
===================================================================
--- trunk/language/de_DE/help/help_permissions.html	(revision 9629)
+++ trunk/language/de_DE/help/help_permissions.html	(revision 9631)
@@ -11,16 +11,16 @@
 </ol>
 
-<p>Eine höhere Stufe erbt alle Berechtigungen der niedrigeren Stufen. Für einen Benutzer gilt: Je höher seine Berechtigungsstufe, desto mehr Fotos kann er sehn.</p>
+<p>Eine höhere Stufe erbt alle Berechtigungen der niedrigeren Stufen. Für einen Benutzer gilt: Je höher seine Berechtigungsstufe, desto mehr Fotos kann er sehen.</p>
 
 <p>Ein Beispiel: Wenn dem Foto "peter_hochzeit-0024.jpg" die Berechtigungsstufe <em>"Familie"</em> zugewiesen ist, dann:</p>
 <ul>
-  <li>kann Peter (der ein <em>"Administrator"</em> ist) das Foto sehn, weil <em>"Administratoren"</em> alle Fotos sehen können</li>
+  <li>kann Peter (der ein <em>"Administrator"</em> ist) das Foto sehen, weil <em>"Administratoren"</em> alle Fotos sehen können</li>
   <li>kann Elisabeth (die Teil der <em>"Familie"</em> ist) das Foto ebenfalls sehen</li>
   <li>kann Marie (die nur ein <em>"Freund"</em> ist) das Foto nicht sehen</li>
 </ul>
 
-<p>Ein Benutzer der keine Berechtigungen hat, den Inhalt eines Albums zu sehen, kann weder das Album selbst, noch den Titel des Albums sehn. Das selbe Prinzip wird auch auf Bezeichnungen angewendet.</p>
+<p>Ein Benutzer, der keine Berechtigungen hat den Inhalt eines Albums zu sehen, kann weder das Album selbst, noch den Titel des Albums sehn. Das selbe Prinzip wird auch auf "Tags" angewandt.</p>
 
-<p>Sie können die Berechtigungsstufe eines Benutzers unter <span class="pwgScreen">Administration &raquo; Benutzer &raquo; Verwalten</span> sehn.</p>
+<p>Sie können die Berechtigungsstufe eines Benutzers unter <span class="pwgScreen">Administration &raquo; Benutzer &raquo; Verwalten</span> sehen.</p>
 
 </fieldset>
Index: trunk/language/de_DE/help/help_virtual_links.html
===================================================================
--- trunk/language/de_DE/help/help_virtual_links.html	(revision 9629)
+++ trunk/language/de_DE/help/help_virtual_links.html	(revision 9631)
@@ -1,7 +1,7 @@
-<p>Fotos werden normalerweise in der Kategorie angezeigt, in der sie hochgeladen wurden.</p>
+<p>Fotos werden normalerweise in dem Album angezeigt, in dem sie hochgeladen wurden.</p>
 
-<p>Man kann Fotos auch in einer zweiten Kategorie anzeigen ohne sie zu duplizieren. Verbinde das Bild einfach mit einer anderen Kategorie auf der Seite "Information ändern" (den Link dazu kann jeder Administrator auf der Seite des Fotos selbst sehen).</p>
+<p>Man kann Fotos auch in einem zweiten Album anzeigen ohne sie zu duplizieren. Verbinden Sie das Bild einfach mit einem anderen Album auf der Seite "Information ändern" (den Link dazu kann jeder Administrator auf der Seite des Fotos selbst sehen).</p>
 
-<p>Virtuelle Kategorien basieren auf folgendem Konzept: sie haben keinen eigenen Ordner. Erstelle eine virtuelle Kategorie unter <span class="pwgScreen">Kategorien &raquo; Verwalten</span>.</p>
+<p>Virtuelle Alben basieren auf folgendem Konzept: sie haben keinen eigenen Ordner. Erstellen Sie ein virtuelles Album unter <span class="pwgScreen">Alben &raquo; Verwalten</span>.</p>
 
 
Index: trunk/language/de_DE/help/photos_add_ftp.html
===================================================================
--- trunk/language/de_DE/help/photos_add_ftp.html	(revision 9629)
+++ trunk/language/de_DE/help/photos_add_ftp.html	(revision 9631)
@@ -5,10 +5,10 @@
   <li>Erstelle einen neuen Ordner auf deinem Computer.</li>  
   <li>Kopiere einige Fotos in diesen ordner und verkleinere Sie auf eine Web-taugliche Größe. <em>Achtung</em>: Im Datei- und Ordnername dürfen nur Buchstaben, Zahlen und folgende  Sonderzeichen verwendet werden: "-", "_" oder ".". Keine Leerzeichen und andere Sonderzeichen. Desweiterem dürfen "ä", "ü", "ö" und "ß" NICHT verwendet werden.</li>
-  <li>Kopiere den Ordner mit einem FTP Programm in den Ordner "galleries" von deiner Piwigo installation.</li>
+  <li>Kopiere den Ordner mit einem FTP Programm in den Ordner "galleries" deiner Piwigo Installation.</li>
   <li>Melde dich in deiner Galerie an und gehe auf <span class="pwgScreen">Verwaltung &raquo; Bilder &raquo; Thumbnails</span> um fehlende Thumbnails vom Server erstellen zu lassen.</li>
   <li>Gehe zu <span class="pwgScreen">Verwaltung</span> und klicke den großen "Schnelle Syncronisation" Button.</li>
 </ol>
 
-<p>Herzlichen Glückwunsch, du hast nun die erste Kategorie in deiner Piwigo erstellt</p>
+<p>Herzlichen Glückwunsch, du hast nun das erste Album in deiner Piwigo Bilder Galerie erstellt!</p>
 
 </fieldset>
@@ -20,6 +20,5 @@
   <li>
 
-    <p>Die Ordner ihrer Kategorien sind in dem Verzeichnis
-"Galerie". Hier siehst du ein Beispielverzeichnisbaum einer kleinen Galerie
+    <p>Die Ordner der Alben sind im Piwigo Verzeichnis "galleries" untergebracht. Hier siehst du ein Beispielverzeichnisbaum einer kleinen Galerie
 (aber mit vielen Features): </p>
   
@@ -29,25 +28,27 @@
 | - doc
 | - galleries
-| | - Kategorie-1
-| | | - Kategorie-1.1
-| | | | - Kategorie-1.1.1
-| | | | | - Kategorie-1.1.1.1
-| | | | | | - Pwg_high
-| | | | | | + - Mariage.jpg
-| | | | | | - Thumbnail
-| | | | | | + - TN-mariage.jpg
-| | | | | + - Mariage.jpg
-| | | | + - Kategorie-1.1.1.2
-| | | + - Kategorie-1.1.2
-| | | - Kategorie-1.2
+| | - Album-1
+| | | - Album-1.1
+| | | | - Album-1.1.1
+| | | | | - Album-1.1.1.1
+| | | | | | - pwg_high
+| | | | | | + - hochzeit.jpg
+| | | | | | - thumbnail
+| | | | | | | - TN-hochzeit.jpg
+| | | | | | + - TN-hochzeit2.jpg
+| | | | | | - hochzeit.jpg
+| | | | | + - hochzeit2.jpg
+| | | | + - Album-1.1.1.2
+| | | + - Album-1.1.2
+| | | - Album-1.2
 | | | | - Pookie.jpg
-| | | + - Thumbnail
+| | | + - thumbnail
 | | | + - TN-pookie.jpg
-| | + - Kategorie-1.3
-| + - Kategorie-2
+| | + - Album-1.3
+| + - Album-2
 | | - Porcinet.gif
-| | - Pwg_representative
+| | - pwg_representative
 | | + - Video.jpg
-| | - Thumbnail
+| | - thumbnail
 | | + - TN-porcinet.jpg
 | + - Video.avi
@@ -59,7 +60,7 @@
   </li>
   
-<li>Jede Kategorie wird erstellt durch einen Unterordner im im Ordner 
-"Galleries". Diesr kann durch beliebig viele Unterordner erweitert werden.
-Im obigen Beispiel, Kategorie-1.1.1.1 ist auf dem Niveau 4</li>
+<li>Außer den Ordnern "thumbnail", "pwg-high" und "pwg_representative" (siehe unten), erzeugt jeder Unterordner ein neues Album in der Galerie. 
+Es kann beliebig viele Unterverzeichnisse (Unteralben) geben.
+Im obigen Beispiel, ist "Album-1.1.1.1" auf dem Niveau 4.</li>
 
    <li>Jedes Element besteht aus einer Datei. 
@@ -73,7 +74,7 @@
 Abschnitt Thumbnails) besitzen.</li>
 
-   <li>Bild können Bilder im Grossformat hinterlegt sein (in einem Unterordner "Pwg_high".
-   Wie für die Datei <span class="filename">Hochzeit.jpg</span>
-im obigen Beispiel. Dem Dateinamen darf nichts vorangestellt werden.</li>
+   <li>Elemente vom Typ Bild können Bilder im Grossformat hinterlegt haben (in einem Unterordner namens "pwg_high".
+   Im Beispiel hat die Datei <span class="filename">hochzeit.jpg</span> ein Bild im Großformat. Dem Dateinamen darf nichts vorangestellt werden.
+</li>
 
    <li>Alle Elemente, die keine Bilder sind (Videos, Sounds, Textdateien, die alles, was du 
@@ -85,13 +86,14 @@
    <li><em>Achtung</em>: der Namen für ein Verzeichnis oder eine Datei darf
 nur aus Buchstaben, Zahlen, "-", "_" oder "." bestehen. Umlaute und Sonderzeichen
-dürfen nicht verwendet werden.</li>
+dürfen nicht verwendet werden.
+Groß- und Kleinschreibung wird unterschieden!</li>
 
-   <li><em>Empfehlung</em>: eine Kategorie kann Elemente und Unterkategorien enthalten,
-Es ist aber empfehlenswert und übersichtlicher, wenn eine Kategorie entweder Elemente 
+   <li><em>Empfehlung</em>: Ein Album kann Elemente und Unterkategorien enthalten,
+es ist aber empfehlenswert und übersichtlicher, wenn ein Album <strong>entweder</strong> Elemente 
 <strong>oder</strong>Unterkategorien enthält.</li>
 
    <li>Wenn du die Dateien, Bilder und Thumbnails in die richtigen Ordner hochgeladen hast, 
 logge dich ein und gehen auf<span 
-class = "pwgScreen">Verwaltung &raquo; Kategorien &raquo; synchronisieren</span>.</li>
+class = "pwgScreen">Verwaltung &raquo; Alben &raquo; synchronisieren</span>.</li>
 
 </ul>
@@ -99,5 +101,5 @@
 </fieldset>
 <fieldset>
-  <legend>kleines Vorschaubild, Miniatur (Thumbnails)</legend>
+  <legend>Kleines Vorschaubild, Miniatur (Thumbnails)</legend>
 
 <ul>
@@ -106,5 +108,5 @@
 
    <li>Thumbnails werden in einem Unterverzeichnis "thumbnail" jeder
-Kategorie gespeichert. Ein zu einem Bild gehörendes Thumbnail hat den gleichen Namen wie das Bild 
+Album gespeichert. Ein zu einem Bild gehörendes Thumbnail hat den gleichen Namen wie das Bild 
 mit einem vorangestelltem Präfix (siehe TN- oben im Beispielverzeichnisbaum). Dieses Präfix ist in 
 der Konfiguration festgelegt <code>prefix_thumbnail</code>
@@ -112,5 +114,5 @@
 
    <li>Die Miniaturen brauchen nicht die gleiche Dateiendung zu haben. Ein "jpg" Bild darf ein
-"GIF" als Vorschaubild haben.</li>
+"gif" als Vorschaubild haben.</li>
 
    <li> Es wird empfohlen, ein externes Programm für die Erstellung von
@@ -121,5 +123,5 @@
    Im Ernstfall kann es den Server überlasten.</li>
 
-   <li> Falls SIe doch den Webserver verwenden um Thumbnails generieren zu lassen, müssen Sie allen Kategorieordnern 
+   <li> Falls Sie doch den Webserver verwenden um Thumbnails generieren zu lassen, müssen Sie allen Albumordnern 
    per CHMOD die entsprechenden Rechte zuweisen.</li>
 
Index: trunk/language/de_DE/install.lang.php
===================================================================
--- trunk/language/de_DE/install.lang.php	(revision 9629)
+++ trunk/language/de_DE/install.lang.php	(revision 9631)
@@ -41,8 +41,8 @@
 $lang['user login given by your host provider'] = 'Benutzernamen für die MySQL Datenbank';
 $lang['Password'] = 'Passwort';
-$lang['user password given by your host provider'] = 'das von Ihrem Hosting-Provider';
+$lang['user password given by your host provider'] = 'Passwort für die MySQL Datenbank (von ihrem Hosting-Provider)';
 $lang['Database name'] = 'Name der Datenbank';
-$lang['also given by your host provider'] = 'Passwort für die MySQL Datenbank';
-$lang['Database table prefix'] = 'Vorwahl Tabellen';
+$lang['also given by your host provider'] = '(bei MySQL auch von ihren Hosting-Provider gegeben)';
+$lang['Database table prefix'] = 'Präfix der Tabellen';
 $lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'die Namen der Tabellen mit diesem Präfix (ermöglicht eine bessere Verwaltung der Datenbank)';
 $lang['enter a login for webmaster'] = 'gib bitte einen Benutzernamen für den Webmaster an';