Index: extensions/PWG_Stuffs/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/hu_HU/plugin.lang.php	(revision 9490)
+++ extensions/PWG_Stuffs/language/hu_HU/plugin.lang.php	(revision 9636)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Modulok kezelése';
+$lang['stuffs_add_mod'] = 'Modul hozzáadása';
+$lang['stuffs_edit_mod'] = 'Modul beállítása:';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Modul címe';
+$lang['stuffs_desc'] = 'Leírás';
+$lang['stuffs_only_for_admin'] = '(csak az Adminisztrációs panelen)';
+$lang['stuffs_type'] = 'Modul tipusa';
+$lang['stuffs_position'] = 'Elhelyezkedés';
+$lang['stuffs_id_ligne'] = 'ID line';
+$lang['stuffs_width'] = 'Szélesség';
+$lang['stuffs_action'] = 'Végrehajtás';
+$lang['stuffs_edit'] = 'Modul szerkesztése';
+$lang['stuffs_delete'] = 'Modul törlése';
+$lang['stuffs_confirm_delete'] = 'Biztos, hogy törölni akarod ezt a modult: %s?';
+$lang['stuffs_main_block'] = 'Fő blokk';
+$lang['Hide on home page'] = 'Elrejtés a kezdő lapon';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Új modul hozzáadva';
+$lang['stuffs_module_config'] = 'Modul beállítások';
+$lang['stuffs_visual_config'] = 'Megjelenítés beállításai';
+$lang['stuffs_module_options'] = 'Egyéb lehetőségek';
+$lang['stuffs_authorized_group'] = 'Mely csoportok láthatják';
+$lang['stuffs_authorized_users'] = 'Mely felhasználók láthatják';
+$lang['stuffs_public_module'] = '(A publikus modulok legyenek üresek)';
+$lang['stuffs_show_title'] = 'Mutassa a modul címét';
+$lang['stuffs_show_module_on'] = 'Modul megjelenés :';
+$lang['stuffs_show_on_home'] = 'Fő oldalon';
+$lang['stuffs_show_on_root'] = 'Gyökér ketegóriákban';
+$lang['stuffs_show_on_cats'] = 'Minden kategória oldalon';
+$lang['stuffs_show_on_picture'] = 'Kép oldalakon';
+$lang['stuffs_no_options'] = 'A modulhoz nincs egyéb beállítási lehetőség';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Modul hozzáférési jog engedély kezelése:';
+$lang['stuffs_group_perm'] = 'Csoportok';
+$lang['stuffs_user_perm'] = 'Felhasználói státusz';
+$lang['stuffs_level_perm'] = 'Hozzáférési szint';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Összes kijelölése';
+$lang['stuffs_unselect_all'] = 'Összes kijelölés törlése';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Beállítások mentése sikeres.';
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs bővítmény át lett nevezve. Itt az új neve "Blokkok".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Nincs modul kiválasztva.';
+$lang['stuffs_no_name'] = 'Meg kell adni a modul címét';
+$lang['stuffs_parent_plugin_is_missing'] = 'A SZÜLŐ BŐVÍTMÉNY NINCS AKTIVÁLVA. El kell távolítanod a blokkot, vagy aktiválnod kell a szülő bővítményt.';
+$lang['stuffs_piclens_need_upgrade'] = 'FRISSÍTENED KELL A PICLENS BŐVÍTMÉNYT. PWG Stuffs nem kompatibilis a jelenleg futó Piclens verzióval.';
 
 //------------------------------------------------------------------------------
@@ -69,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Keret magassága';
 
-
 //------------------------------------------------------------------------------
 //              Module Logon
@@ -79,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Azonosító blokk eltávolítása a menüből';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -88,5 +86,4 @@
 
 $lang['personal_content'] = 'tartalom';
-
 
 //------------------------------------------------------------------------------
@@ -101,5 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Csoportosítás betűrendben';
 $lang['stuffs_tags_cumulus'] = 'Használja a gomolyfelhő módot (telepíteni kell a <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> bővítményt)';
-
 
 //------------------------------------------------------------------------------