Index: /extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php	(revision 9637)
+++ /extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php	(revision 9638)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Ovládnie blokov'; 
+$lang['stuffs_add_mod'] = 'Pridať blok'; 
+$lang['stuffs_edit_mod'] = 'Upraviť blok';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Názov bloku'; 
+$lang['stuffs_desc'] = 'Popis'; 
+$lang['stuffs_only_for_admin'] = '(len pre administrátorský panel)';
+$lang['stuffs_type'] = 'Typ bloku'; 
+$lang['stuffs_position'] = 'Umiestnenie'; 
+$lang['stuffs_id_ligne'] = 'ID linka'; 
+$lang['stuffs_width'] = 'Šírka'; 
+$lang['stuffs_action'] = 'Akcie'; 
+$lang['stuffs_edit'] = 'Upraviť blok'; 
+$lang['stuffs_delete'] = 'Vymazať blok'; 
+$lang['stuffs_confirm_delete'] = 'Ste si istý, že chcete vymazať blok %s?'; 
+$lang['stuffs_main_block'] = 'Hlavný blok'; 
+$lang['Hide on home page'] = 'Schovať na domovskej stránke';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Pridať nový blok'; 
+$lang['stuffs_module_config'] = 'Konfigurácia bloku'; 
+$lang['stuffs_visual_config'] = 'Zobrazenie konfigurácie'; 
+$lang['stuffs_module_options'] = 'Voľby bloku'; 
+$lang['stuffs_authorized_group'] = 'Autorizované skupiny'; 
+$lang['stuffs_authorized_users'] = 'Autorizovaní používatelia';
+$lang['stuffs_public_module'] = '(Ponechať prázdne pre verejný blok)'; 
+$lang['stuffs_show_title'] = 'Zobraziť názov bloku';
+$lang['stuffs_show_module_on'] = 'Zobraziť blok:'; 
+$lang['stuffs_show_on_home'] = 'Na hlavnej stránke'; 
+$lang['stuffs_show_on_root'] = 'Na hlavnej stránke kategórií'; 
+$lang['stuffs_show_on_cats'] = 'Na všetkých stránkach kategórií'; 
+$lang['stuffs_show_on_picture'] = 'Na stránkach fotografií'; 
+$lang['stuffs_no_options'] = 'Žiadne voľby pre tento blok';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Aktivovať autorizované ovládanie:'; 
+$lang['stuffs_group_perm'] = 'po skupinách'; 
+$lang['stuffs_user_perm'] = 'po type užívateľa'; 
+$lang['stuffs_level_perm'] = 'po súkromnej úrovni';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Označiť všetko'; 
+$lang['stuffs_unselect_all'] = 'Odznačiť všetko';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Zoradenie úspešne uložené.'; 
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs doplnok bol premenovaný. Teraz sa nazýva "Bloky".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Nemáte označený žiaden blok.'; 
+$lang['stuffs_no_name'] = 'Musíte zadať názov bloku'; 
+$lang['stuffs_parent_plugin_is_missing'] = 'RODIČOVSKÝ DOPLNOK NIE JE AKTIVOVANÝ. Mali by ste vymazať tento blok alebo reaktivovať rodičovský doplnok.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS DOPLNOK MUSÍ BYŤ AKTUALIZOVANÝ. PWG Stuffs nie je kompatibilný s touto verziou Piclens.';
 
 //------------------------------------------------------------------------------
@@ -69,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Výška stĺpca';
 
-
 //------------------------------------------------------------------------------
 //                            Module Logon
@@ -79,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Odstrániť blok "Rýchle pripojenie" z menu';
 
-
 //------------------------------------------------------------------------------
 //                            Module Personal
@@ -88,5 +86,4 @@
 
 $lang['personal_content'] = 'obsah';
-
 
 //------------------------------------------------------------------------------
@@ -101,5 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Zoskupiť podľa písmen';
 $lang['stuffs_tags_cumulus'] = 'Použiť kumulus mód (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> musí byť nainštalovaný)';
-
 
 //------------------------------------------------------------------------------