Index: extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php	(revision 9638)
+++ extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php	(revision 9642)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Správa Bloků';
+$lang['stuffs_add_mod'] = 'Přidat blok';
+$lang['stuffs_edit_mod'] = 'Edituj blok';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Nadpis Bloku';
+$lang['stuffs_desc'] = 'Popis';
+$lang['stuffs_only_for_admin'] = '(jen pro administrační panel)';
+$lang['stuffs_type'] = 'Typ Bloku';
+$lang['stuffs_position'] = 'Pozice';
+$lang['stuffs_id_ligne'] = 'ID line';
+$lang['stuffs_width'] = 'Šířka';
+$lang['stuffs_action'] = 'Akce';
+$lang['stuffs_edit'] = 'Uprav blok';
+$lang['stuffs_delete'] = 'Odstraň blok';
+$lang['stuffs_confirm_delete'] = 'Opravdu chcete smazat blok %s?';
+$lang['stuffs_main_block'] = 'Hlavní blok';
+$lang['Hide on home page'] = 'Skrytý pro hlavní stránku';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Přidat nový blok';
+$lang['stuffs_module_config'] = 'Konfigurace Bloku';
+$lang['stuffs_visual_config'] = 'Konfigurace zobrazeni';
+$lang['stuffs_module_options'] = 'Možnosti bloku';
+$lang['stuffs_authorized_group'] = 'Povolené skupiny';
+$lang['stuffs_authorized_users'] = 'Povolení uživatelé';
+$lang['stuffs_public_module'] = '(Nechat prázdné pro veřejný blok)';
+$lang['stuffs_show_title'] = 'Ukaž nadpis bloku';
+$lang['stuffs_show_module_on'] = 'Zobraz blok :';
+$lang['stuffs_show_on_home'] = 'Na hlavní stráce';
+$lang['stuffs_show_on_root'] = 'Na stránce kategoríí';
+$lang['stuffs_show_on_cats'] = 'Na všech stránkách kategorií';
+$lang['stuffs_show_on_picture'] = 'Na stránkách obrázků';
+$lang['stuffs_no_options'] = 'Tento blok nemá žádné volby nastavení';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Aktivuj správu autorizací:';
+$lang['stuffs_group_perm'] = 'podle skupin';
+$lang['stuffs_user_perm'] = 'podle typu uživatele';
+$lang['stuffs_level_perm'] = 'podle úrovně oprávnění';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Vybrat vše';
+$lang['stuffs_unselect_all'] = 'Zruš celý výběr';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Výběr uložen.';
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin byl přejměnován na "Blocks/Bloky".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Není vybrán žádný blok.';
+$lang['stuffs_no_name'] = 'Je potřeba nejprve zadat názvy bloku\ů ';
+$lang['stuffs_parent_plugin_is_missing'] = 'Hlavní PLUGIN není aktivován. odeberte tento blok nebo zapněte hlavní plugin Blok.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN musí být aktualizován. PWG Stuffs/Blok není kompatibilní s touto verzí pluginu Piclens.';
 
 //------------------------------------------------------------------------------
@@ -69,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Výška rámu';
 
-
 //------------------------------------------------------------------------------
 //                            Module Logon
@@ -79,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Odstranit "Quick connect" blok z menu';
 
-
 //------------------------------------------------------------------------------
 //                            Module Personal
@@ -88,5 +86,4 @@
 
 $lang['personal_content'] = 'obsah';
-
 
 //------------------------------------------------------------------------------
@@ -101,5 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Podle písmen';
 $lang['stuffs_tags_cumulus'] = 'Použít mód cumulus (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> musí být nainstalován)';
-
 
 //------------------------------------------------------------------------------