Index: /extensions/AdditionalPages/trunk/additional_page.php
===================================================================
--- /extensions/AdditionalPages/trunk/additional_page.php	(revision 9659)
+++ /extensions/AdditionalPages/trunk/additional_page.php	(revision 9660)
@@ -49,5 +49,5 @@
 if (is_numeric($identifier) and !empty($row['permalink']) and !$page['ap_homepage'])
 {
-  redirect(make_index_url().'/page/' . $row['permalink']);
+  redirect(make_index_url(array('section'=>'page')).'/'.$row['permalink']);
 }
 
Index: /extensions/AdditionalPages/trunk/admin/add_page.inc.php
===================================================================
--- /extensions/AdditionalPages/trunk/admin/add_page.inc.php	(revision 9659)
+++ /extensions/AdditionalPages/trunk/admin/add_page.inc.php	(revision 9660)
@@ -119,5 +119,5 @@
     if (isset($_GET['redirect']))
     {
-      redirect(make_index_url() . '/page/' . $edited_page['id']);
+      redirect(make_index_url(array('section'=>'page')).'/'.$edited_page['id']);
     }
     redirect($my_base_url.'&page_saved=');
Index: /extensions/AdditionalPages/trunk/admin/manage.inc.php
===================================================================
--- /extensions/AdditionalPages/trunk/admin/manage.inc.php	(revision 9659)
+++ /extensions/AdditionalPages/trunk/admin/manage.inc.php	(revision 9660)
@@ -27,4 +27,5 @@
     pwg_query($query);
   }
+  array_push($page['infos'], l10n('ap_conf_saved'));
 }
 
@@ -44,5 +45,5 @@
 while ($row = pwg_db_fetch_assoc($result))
 {
-  $row['U_PAGE'] = make_index_url().'/page/'.(isset($row['permalink']) ? $row['permalink'] : $row['id']);
+  $row['U_PAGE'] = make_index_url(array('section'=>'page')).'/'.(isset($row['permalink']) ? $row['permalink'] : $row['id']);
   $row['U_EDIT'] = PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section='.AP_DIR.'%2Fadmin%2Fadmin.php&amp;tab=edit_page&amp;edit='.$row['id'];
   $row['U_DELETE'] = PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section='.AP_DIR.'%2Fadmin%2Fadmin.php&amp;tab=edit_page&amp;edit='.$row['id'].'&amp;delete=';
Index: /extensions/AdditionalPages/trunk/admin/template/add_page.tpl
===================================================================
--- /extensions/AdditionalPages/trunk/admin/template/add_page.tpl	(revision 9659)
+++ /extensions/AdditionalPages/trunk/admin/template/add_page.tpl	(revision 9660)
@@ -1,5 +1,3 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{html_head}{literal}
-<script type="text/javascript">
+{footer_script require='jquery'}{literal}
 jQuery().ready( function () {
   jQuery('#title').focusout(function () {
@@ -12,5 +10,6 @@
 });
 var auto_permalink = true;
-</script>
+{/literal}{/footer_script}
+{html_head}{literal}
 <style type="text/css">
 #mainConf { margin:0; }
Index: /extensions/AdditionalPages/trunk/admin/template/config.tpl
===================================================================
--- /extensions/AdditionalPages/trunk/admin/template/config.tpl	(revision 9659)
+++ /extensions/AdditionalPages/trunk/admin/template/config.tpl	(revision 9660)
@@ -1,19 +1,17 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{html_head}
-<script type="text/javascript">
-jQuery().ready( function () {ldelim}
-  jQuery("#show_menu").click( function() {ldelim}
-    if (this.checked) {ldelim}
+{footer_script}{literal}
+jQuery().ready( function () {
+  jQuery("#show_menu").click( function() {
+    if (this.checked) {
       jQuery('#menu_name').show();
     }
-    else {ldelim}
+    else {
       jQuery('#menu_name').hide();
     }
   });
-  jQuery('select[name="lang_desc_select"]').change(function () {ldelim}
+  jQuery('select[name="lang_desc_select"]').change(function () {
     jQuery('[id^="menu_lang"]').hide();
     jQuery("#menu_lang_"+this.options[this.selectedIndex].value).show();
   });
-  jQuery('[id^="menu_lang_"]').keyup(function () {ldelim}
+  jQuery('[id^="menu_lang_"]').keyup(function () {
     arr = jQuery(this).attr("id").split("menu_lang_");
     id = arr[1];
@@ -25,6 +23,5 @@
   });
 });
-</script>
-{/html_head}
+{/literal}{/footer_script}
 
 <div class="titrePage">
Index: /extensions/AdditionalPages/trunk/admin/template/manage.tpl
===================================================================
--- /extensions/AdditionalPages/trunk/admin/template/manage.tpl	(revision 9659)
+++ /extensions/AdditionalPages/trunk/admin/template/manage.tpl	(revision 9660)
@@ -1,27 +1,22 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js" }
-{known_script id="jquery.ui.sortable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.sortable.packed.js" }
-
-{html_head}
-<script type="text/javascript">
-  jQuery().ready(function(){ldelim}
+{footer_script require='jquery.ui.sortable'}{literal}
+  jQuery().ready(function(){
     jQuery(".menuPos").hide();
     jQuery(".drag_button").show();
     jQuery(".menuLi").css("cursor","move");
-    jQuery(".menuUl").sortable({ldelim}
+    jQuery(".menuUl").sortable({
       axis: "y",
       opacity: 0.8
     });
-    jQuery("input[name^='hide_']").click(function() {ldelim}
+    jQuery("input[name^='hide_']").click(function() {
       men = this.name.split('hide_');
-      if (this.checked) {ldelim}
+      if (this.checked) {
         jQuery("#menu_"+men[1]).addClass('menuLi_hidden');
-      } else {ldelim}
+      } else {
         jQuery("#menu_"+men[1]).removeClass('menuLi_hidden');
       }
     });
-    jQuery("#menuOrdering").submit(function(){ldelim}
+    jQuery("#menuOrdering").submit(function(){
       ar = jQuery('.menuUl').sortable('toArray');
-      for(i=0;i<ar.length;i++) {ldelim}
+      for(i=0;i<ar.length;i++) {
         men = ar[i].split('menu_');
         document.getElementsByName('position[' + men[1] + ']')[0].value = i;
@@ -29,7 +24,8 @@
     });
   });
-</script>
-<style type="text/css">#menuOrdering a:hover {ldelim} border:none; }</style>
-{/html_head}
+{/literal}{/footer_script}
+{html_head}{literal}
+<style type="text/css">#menuOrdering a:hover { border:none; }</style>
+{/literal}{/html_head}
 
 <div class="titrePage">
Index: /extensions/AdditionalPages/trunk/main.inc.php
===================================================================
--- /extensions/AdditionalPages/trunk/main.inc.php	(revision 9659)
+++ /extensions/AdditionalPages/trunk/main.inc.php	(revision 9660)
@@ -56,5 +56,5 @@
 
   if ($tokens[0] == 'additional_page' and !empty($tokens[1]))
-    redirect(make_index_url().'/page/'.$tokens[1]);
+    redirect(make_index_url(array('section'=>'page')).'/'.$tokens[1]);
 }
 
@@ -99,5 +99,5 @@
     while ($row = pwg_db_fetch_assoc($result))
     {
-      $url = make_index_url().'/page/'.(isset($row['permalink']) ? $row['permalink'] : $row['id']);
+      $url = make_index_url(array('section'=>'page')).'/'.(isset($row['permalink']) ? $row['permalink'] : $row['id']);
       array_push($data, array('URL' => $url, 'LABEL' => trigger_event('AP_render_title', $row['title'])));
     }